> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Purge Rows

> Delete every row this SmartSource ever ingested (matched by tag).



## OpenAPI

````yaml /openapi-v1.json post /api/v1/smart-sources/{smart_source_id}/purge-rows
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/smart-sources/{smart_source_id}/purge-rows:
    post:
      tags:
        - Smart Sources
      summary: Purge Rows
      description: Delete every row this SmartSource ever ingested (matched by tag).
      operationId: core_api_v1_controllers_smart_sources_purge_rows
      parameters:
        - in: path
          name: smart_source_id
          schema:
            format: uuid
            title: Smart Source Id
            type: string
          required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````